Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 18 Jul 2022 10:23:23 +0000

Hi Maya Shamma,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I bought a palazzo pant about one month ago order no. 9573007036. I raised a return request shortly after as the item didnt fit properly.

After raising 2 subsequent requests for return collections, and with no response, I physically went to the Al Wahda Mall branch to return the item. There, the manager told me that he could return the item because it was an online purchase. He told me that if I call again they will issue a refund at the very least, if they cannot pick it up.

I called and raised another return request. No one came to pick it up. 

Today I called again at your call center fourth time and the lady told me that she will raise a request to collect the item but cannot issue a refund. 

 Considering I have other things to do with my time, I would have appreciated if someone just told me that you are going to keep my money from the get go. For 35 dhs, this has been a constant ordeal, and a huge pain to deal with. Is this how you treat customers? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4629882